#
# spec file for package libsmpeg
#
# Copyright (c) 2015 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define _lver   0.4.5
%define _svnrev svn412
%define oname   smpeg
%define soname  0
%define libname %{name}-0_4-%{soname}

Name:           libsmpeg
Version:        %{_lver}+%{_svnrev}
Release:        2.1
License:        LGPL-2.0+
Group:          System/Libraries
Summary:        SDL MPEG Library
URL:            http://icculus.org/smpeg/
# Downloaded from https://icculus.org/smpeg/
# Packed as tar.bz2
Source0:        %{name}-%{_lver}+%{_svnrev}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(sdl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to
create a general purpose MPEG video/audio player for the Linux OS.

smpeg is an mpeg decoding library, which runs on just about any platform.
It comes with three sample decoders, plaympeg (console, no UI), and gtv,
a simple GTK+ interface, and glmovie, a OpenGL player.

%package devel
Summary:        SDL MPEG Library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}

%description devel
The developmental files that must be installed in order to compile
applications which use libsmpeg.

%package -n %{libname}
Summary:        SDL MPEG Library
Group:          System/Libraries

%description -n %{libname}
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

smpeg is an mpeg decoding library, which runs on just about any platform.
It comes with three sample decoders, plaympeg (console, no UI), and gtv,
a simple GTK+ interface, and glmovie, a OpenGL player.

%package -n %{oname}-glmovie
Summary:        OpenGL MPEG Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{libname} = %{version}

%description -n %{oname}-glmovie
OpenGL MPEG video player based on SDL and libsmpeg.

%package -n %{oname}-gtv
Summary:        GTK+ MPEG Player
Group:          Productivity/Multimedia/Video/Players
BuildRequires:  gtk2-devel
Requires:       %{libname} = %{version}

%description -n %{oname}-gtv
OpenGL MPEG video player based on GTK+ and libsmpeg.

%package -n %{oname}-plaympeg
Summary:        MPEG Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{libname} = %{version}

%description -n %{oname}-plaympeg
Command-line MPEG video player based on SDL and libsmpeg.

%prep
%setup -q -n %{oname}-svn

# SED-FIX-OPENSUSE -- Fix build gtv
sed -i -e 's|LIBS@|LIBS@ -lX11|' Makefile.am

%build
[ -e configure ] || NOCONFIGURE=1 ./autogen.sh

export CFLAGS="%{optflags} -std=gnu++98"
export CXXFLAGS="%{optflags} -std=gnu++98"
%configure --disable-static

make %{?_smp_mflags}

%install
%make_install

# Remove not needed static libraries
rm -f %{buildroot}%{_libdir}/%{name}.la

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-0.4.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{oname}-config
%{_includedir}/%{oname}
%{_libdir}/%{name}.so
%{_datadir}/aclocal/%{oname}.m4

%files -n %{oname}-glmovie
%defattr(-,root,root,-)
%{_bindir}/glmovie

%files -n %{oname}-gtv
%defattr(-,root,root,-)
%{_bindir}/gtv
%{_mandir}/man1/gtv.1%{ext_man}

%files -n %{oname}-plaympeg
%defattr(-,root,root,-)
%{_bindir}/plaympeg
%{_mandir}/man1/plaympeg.1%{ext_man}

%changelog
* Sun Jul  5 2015 nemysis@gmx.ch
- Revert --disable-static, deleted in previous commit
* Sat Jul  4 2015 nemysis@gmx.ch
- Update to 0.4.5+svn412, announce message:
  Please look 'svn log'
- Add default header
- Use %%{oname} instead of smpeg
- Change license, use LGPL-2.0+ from SPDX License List
- Download from https://icculus.org/smpeg/ and packed as tar.bz2
- Add libsmpeg-rpmlintrc
- Use BuildRequires pkgconfig() instead of devel packages
- Change Descriptions
- Use %%{oname}-glmovie instead of glmovie
- Add package %%{oname}-gtv and add sed, Fix build gtv
- Add BuildRequires for gtk2-devel, needed for %%{oname}-gtv
- Use %%{oname}-plaympeg instead of plaympeg
- Use default %%make_install
- Remove not needed static libraries
- Remove %%doc from Man Pages
* Sun Oct 16 2011 pascal.bleser@opensuse.org
- initial version (0.4.5)
